## Euro trip 2025
### Version 0.1
This document contains a foreign trip proposal for the Computer Society in the 2024/2025 AY.  
The foundation is based off of the 2021.  

## Proposal
The following points are based on the questions posed in the Foreign Trip Proposal form provided to the Computer Society.   
(<<https://cdn.ulwolves.ie/docs/resources/Wolves_on_Tour.docx>>)

### 01 - Name of the Club or Society
UL Computer Society

### 02 - Date of Trip
21-28 May 2025.  
These dates are after the spring exams.  

### 03 - Organisers
Main Organiser: 
* $PERSON1  

Trip Leaders:
* $PERSON1
* $PERSON2
* $PERSON3

### 04 - Destination & justification for choosing this location?
This is a trip to London, UK and Prague, Czech Republic.  

We plan to fly to London where we will spend 4 days.   
The main reason we plan to go to London is to see Bletchley Park where during the second world war they cracked the enigma code.   
Alan Turing was the one who did this.   
London is also the biggest tech city in Europe.  
Other attractions we plan to visit included are the science museum, the Greenwich Observatory and the Faraday Museum.  

We will then be heading to Prague to visit some more museums and attractions.    
We will be visiting the National Technical Museum.  
There is also one of the largest Lego Museums in Prague we plan to have a look at. There is also a Museum of Senses that looks very interesting.  
Prague has a lot of reminders and museums about the cold war which we think would be interesting for our members. There is a Nuclear Bunker that we can take a tour of.  

We will give members a chance on travel days to do some sight-seeing, but we will be emphasising that we are not flying to London just to see the London Eye or the Crown Jewels.  
The focus will be on the museums, exhibits and society development.  
We have looked into the possible effects of the Ukraine Russia situation on our travels, but we believe it shouldn’t affect the Czech Republic Covid also shouldn’t impact us next year as most countries and flights in Europe are back to normal.   
Social distancing mandates etc have mostly been reduced/removed in the countries we will be visiting and by next year they should be gone entirely.

### 05 - What is the developmental reason for this trip?
The developmental reason for the trip is that the members of the Computer Society are very interested in learning more about the history of technology, computing, electronics and its application.   
The museums that we have picked showcase some extremely interesting exhibits on computing and technology. Some other museums and exhibits we plan to visit are to inspire and learn about the history of technology and computing.  
Our trip in 2019 before Covid helped to develop the society both socially and in relation to knowledge of tech from the past and how far it has come.

### 06 - How much is the overall cost?
The trip will roughly cost €13067.00-€16088.80, broken down by flights, accommodation, transport and museum tickets for 20 people.  
Depending on how much the society covers (€0-€7000) the cost for the individual will be €303.35-€804.44, see the table below for more information.  

### 07 - Is this the first time this trip is proposed?
We saw how successful our trip was in 2019 and because of being unable to go for the past few years with COVID we wanted to up the trip capacity again this year.   
From a quick gauge of interest in the society it seems like we have a lot of interest for the trip.  
This has made us decided to go from 15 to 20 spaces on the trip.  

### 08 - How will you advertise this trip?
We will be sending out an email to all members and advertising this event on our Discord and Instagram page.   
We also plan to have an information meeting and presentation.  

### 09 - How do people sign up for the trip?
There will be a sign up at our events and at the information presentation.

### 10 - Are there selection criteria?
The Computer Society Committee will ask each candidate why they intend to travel on the trip through email.   
The committee will then review these answers and select individuals to attend the trip, also taking into account the candidates participation in the society.   
The committee reserve the right to refuse trip attendance to any member provided a valid reason is given by the committee.

### 11 - What is the breakdown (Undergrad, Postgrad, Alumni, Other) of the different membership types?
At least two thirds of the available twenty spaces on the trip will be reserved for undergraduate/postgraduate UL students who are members of the society.  
The other third will be offered to other Computer Society members (e.g. alumni or external members) but higher preference will be given to undergraduate/postgraduate students.

### 12 - What is your Health and Safety Plan for the trip?
$PERSON3 is the current Health and Safety Officer.  
As part of an information meeting which will be held before we depart on the trip we will discuss safety with each member of the society that is attending the trip.   
We will also ensure that every member of the group has a European Health Insurance Card and a valid passport.  

### 13 - For certain trips, especially clubs, is there a competency level that members must achieve before signing up for the trip?
All members must attend an information meeting which will be held before we depart on the trip.

### 14 - Do you need to carry out first aid, a health and safety briefing or specialized training in order to maximise your time on the main training trip?
We will designate a committee member who is attending the trip to carry a first aid kit before we depart on the trip.   
The first aid kit will be carried by that individual at all times while we are on the trip.   
No specialised training should be required for individuals to partake in this trip.  

### 15 - What is your proposed Itinerary?
This is a total of a seven day trip after the Spring exams finish in May.

* 21th – Travel to London, sightseeing
* 22th – Bletchley Park
* 23th – Science Museum London
* 24th – Greenwich Observatory/Faraday Museum
* 25st – Travel to Prague, Sightseeing
* 26nd – Lego Museum, Museum of Senses
* 27rd – National Technical Museum
* 28th – Nuclear Bunker, Travel Home

We will be putting together a more detailed itinerary for our members and to pass on to C&S.

### 16 - Who is responsible for training on the trip?
We intend to get guided tours of the museums that we visit.

### 17 - What is the funding plan for this trip?


### 18 - Have risk assessments been completed for this trip or do you need support?


## Visas
The UK is now outside of the EU so visas may be required by some members.


## Cost breakdown
Cost breakdown is over four categories which cover the majority of the trip.

| Currency Conversion | Quantity  | Eur   |
|---------------------|-----------|-------|
| GBP                 | 1         | 1.18  |
| CZK                 | 1         | 0.040 |
| CZK                 | 100       | 3.98  |

### Flights
We will have three flights, and there are multiple possible travel plans for it.  
Some options may be better options because timing suits better.

| Item      | Cost | Proof                  | Link                  | Notes                                                    |
|-----------|------|------------------------|-----------------------|----------------------------------------------------------|
| Cheapest  | 250  | ![proof][flight_1_img] | [link][flight_1_link] | Cheapest but layover in Amsterdam for an hour and a half |
| Best time | 267  | ![proof][flight_2_img] | [link][flight_2_link] | Times of flights maximise days abroad                    |
|           |      |                        |                       |                                                          |
|           |      |                        |                       |                                                          |

[flight_1_img]: ./Euro_trip_2025/flight_1.png
[flight_1_link]: https://www.skyscanner.ie/transport/d/dub/2025-05-21/lond/lond/2025-05-25/prg/prg/2025-05-28/dub/?adults=8&adultsv2=8&cabinclass=economy&children=0&childrenv2=&infants=0&ref=home

[flight_2_img]: ./Euro_trip_2025/flight_2.png
[flight_2_link]: https://www.skyscanner.ie/transport/d/dub/2025-05-21/lond/lond/2025-05-25/prg/prg/2025-05-28/dub/config/11154-2505210745--32480-0-13554-2505210915|16574-2505251900--31915-0-15538-2505252050|15538-2505281830--32132-1-11154-2505282225?adults=8&adultsv2=8&cabinclass=economy&children=0&childrenv2=&infants=0&ref=home


### Accommodation
We are staying in two cities.  
The most cost-effective is to book out dormitory rooms.

#### London
[Search page][accommodation_london_0_link]


| Item                               |     Cost | Per Person | Proof                                  | Link                                |
|------------------------------------|---------:|-----------:|----------------------------------------|-------------------------------------|
| Wombat's City Hostel London        | €5411.88 |    €270.59 | ![proof][accommodation_london_1_image] | [link][accommodation_london_1_link] |
| PubLove @ The Exmouth Arms, Euston | €6224.52 |    €311.23 | ![proof][accommodation_london_2_image] | [link][accommodation_london_2_link] |
| The Walrus Hostel                  | €3542.72 |    €177.14 | ![proof][accommodation_london_3_image] | [link][accommodation_london_3_link] |

[accommodation_london_0_link]: https://www.hostelworld.com/pwa/wds/s?q=London,%20England&country=London&city=London&type=city&id=3&from=2025-05-21&to=2025-05-25&guests=20&groupType=4&groupAgeRange=4&page=1
[accommodation_london_1_image]: ./Euro_trip_2025/accommodation_london_1.png
[accommodation_london_1_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Wombat-s-City-Hostel-London/London/88047?from=2025-05-21&to=2025-05-25&guests=20&groupType=4&groupAgeRange=4
[accommodation_london_2_image]: ./Euro_trip_2025/accommodation_london_2.png
[accommodation_london_2_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/PubLove-The-Exmouth-Arms-Euston/London/93796?from=2025-05-21&to=2025-05-25&guests=20&groupType=4&groupAgeRange=4
[accommodation_london_3_image]: ./Euro_trip_2025/accommodation_london_3.png
[accommodation_london_3_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/The-Walrus-Hostel/London/58378?from=2025-05-21&to=2025-05-25&guests=20&groupType=4&groupAgeRange=4


#### Prague
[Search page][accommodation_prague_0_link]

| Item                           |     Cost | Per Person | Proof                                  | Link                                |
|--------------------------------|---------:|-----------:|----------------------------------------|-------------------------------------|
| Charles Bridge Economic Hostel | €1890.96 |     €94.55 | ![proof][accommodation_prague_1_image] | [link][accommodation_prague_1_link] |
| Czech Inn                      | €1490.01 |     €74.50 | ![proof][accommodation_prague_2_image] | [link][accommodation_prague_2_link] |
| Sir Toby's Midtown             | €1543.44 |     €77.17 | ![proof][accommodation_prague_3_image] | [link][accommodation_prague_3_link] |
| Clown and Bard                 | €1178.07 |     €58.90 | ![proof][accommodation_prague_4_image] | [link][accommodation_prague_4_link] |
| a&o Prague Rhea                |  €981.09 |     €49.06 | ![proof][accommodation_prague_5_image] | [link][accommodation_prague_5_link] |

[accommodation_prague_0_link]: https://www.hostelworld.com/pwa/wds/s?q=Prague,%20Czech%20Republic&country=Prague&city=Prague&type=city&id=19&from=2025-05-25&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4&page=1
[accommodation_prague_1_image]: ./Euro_trip_2025/accommodation_prague_1.png
[accommodation_prague_1_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Charles-Bridge-Economic-Hostel/Prague/39394?from=2025-05-25&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4
[accommodation_prague_2_image]: ./Euro_trip_2025/accommodation_prague_2.png
[accommodation_prague_2_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Czech-Inn/Prague/14982?from=2025-05-25&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4
[accommodation_prague_3_image]: ./Euro_trip_2025/accommodation_prague_3.png
[accommodation_prague_3_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Sir-Toby-s-Midtown/Prague/325398?from=2025-05-25&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4
[accommodation_prague_4_image]: ./Euro_trip_2025/accommodation_prague_4.png
[accommodation_prague_4_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Clown-and-Bard/Prague/1058?from=2025-05-25&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4
[accommodation_prague_5_image]: ./Euro_trip_2025/accommodation_prague_5.png
[accommodation_prague_5_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/a-o-Prague-Rhea/Prague/265005?from=2025-05-25&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4

### Transport
This encompasses the travel around the city.  
It is best to buy a bus pass for the duration of the stay.  


| Item                      | Cost (local) |   Cost | Proof                     | Link                     |
|---------------------------|--------------|-------:|---------------------------|--------------------------|
| London 1 Day group ticket | 10.5 GBP * 4 | €49.51 | ![proof][transport_1_img] | [link][transport_1_link] |
| Prague 3 day bus          | 330 CZK      | €13.11 | ![proof][transport_2_img] | [link][transport_2_link] |
| Total (per Person)        |              | €62.62 |                           |                          |

[transport_1_img]: ./Euro_trip_2025/transport_1.png
[transport_1_link]: https://www.visitbritainshop.com/gb/en/group-day-london-travelcard
[transport_2_img]: ./Euro_trip_2025/transport_2.png
[transport_2_link]: https://www.myczechrepublic.com/prague/prague-public-transport-tickets-and-passes/

### Locations
This is for all the locations we will visit, museums, exhibitions and tours.

#### London

| Location                         | Cost (GBP) |   Cost | Proof                            | Link                            |
|----------------------------------|-----------:|-------:|----------------------------------|---------------------------------|
| Bletchley Park                   |     £20.00 | €23.60 | ![proof][locations_london_1_img] | [link][locations_london_1_link] |
| Bletchley Park (Computer Museum) |      £7.50 |  €8.85 | ![proof][locations_london_2_img] | [link][locations_london_2_link] |
| Science Museum                   |         £0 |     €0 | ![proof][locations_london_3_img] | [link][locations_london_3_link] |
| Faraday museum                   |         £0 |     €0 | ![proof][locations_london_4_img] | [link][locations_london_4_link] |
| Greenwich Observatory            |     £14.00 | €16.52 | ![proof][locations_london_5_img] | [link][locations_london_5_link] |
| Total                            |     £41.50 | €48.97 |                                  |                                 |

[locations_london_1_img]: ./Euro_trip_2025/locations_london_1.png
[locations_london_1_link]: https://bletchleypark.org.uk/plan-a-visit/groups-2/
[locations_london_2_img]: ./Euro_trip_2025/locations_london_2.png
[locations_london_2_link]: https://www.tnmoc.org/corporate-group-visits
[locations_london_3_img]: ./Euro_trip_2025/locations_london_3.png
[locations_london_3_link]: https://www.sciencemuseum.org.uk/groups
[locations_london_4_img]: ./Euro_trip_2025/locations_london_4.png
[locations_london_4_link]: https://www.rigb.org/visit/faraday-museum
[locations_london_5_img]: ./Euro_trip_2025/locations_london_5.png
[locations_london_5_link]: https://www.rmg.co.uk/plan-your-visit/tickets-prices#discounts

#### Prague

| Location                  | Cost (CZK) |   Cost | Proof                            | Link                            |
|---------------------------|-----------:|-------:|----------------------------------|---------------------------------|
| Museum of Senses          |      Kč250 |  €9.95 | ![proof][locations_prague_1_img] | [link][locations_prague_1_link] |
| Lego Museum Prague        |      Kč250 |  €9.95 | ![proof][locations_prague_2_img] | [link][locations_prague_2_link] |
| National Technical Museum |      Kč150 |  €5.97 | ![proof][locations_prague_3_img] | [link][locations_prague_3_link] |
| Nuclear Bunker Museum     |      Kč750 | €29.85 | ![proof][locations_prague_4_img] | [link][locations_prague_4_link] |
| Total                     |     Kč1400 | €55.72 |                                  |                                 |

[locations_prague_1_img]: ./Euro_trip_2025/locations_prague_1.png
[locations_prague_1_link]: https://www.muzeumsmyslu.cz/en/prices
[locations_prague_2_img]: ./Euro_trip_2025/locations_prague_2.png
[locations_prague_2_link]: https://museumofbricks.cz/lego-museum/prague
[locations_prague_3_img]: ./Euro_trip_2025/locations_prague_3.png
[locations_prague_3_link]: https://www.ntm.cz/en/useful-information/our-buildings/main-building-in-prague
[locations_prague_4_img]: ./Euro_trip_2025/locations_prague_4.png
[locations_prague_4_link]: https://www.prague-communism-tour.com/

### Total
| Per Person             |       Low |      High |
|------------------------|----------:|----------:|
| Flights                |   €250.00 |   €267.00 |
| Accommodation (London) |   €177.14 |   €311.23 |
| Accommodation (Prague) |    €58.90 |    €94.55 |
| Transport              |    €62.62 |    €62.62 |
| Locations (London)     |    €48.97 |    €48.97 |
| Locations (Prague)     |    €55.72 |    €55.72 |
| Total                  |   €653.35 |   €804.44 |
| Total (20 people)      | €13067.00 | €16088.80 |

#### Compsoc Subsidises

| Subsidy | Total (low) | Total (high) | Per Person (Low) | Per Person (Low) |
|--------:|------------:|-------------:|-----------------:|-----------------:|
|      €0 |   €13067.00 |    €16088.80 |          €653.35 |          €804.44 |
|   €1000 |   €12067.00 |    €15088.80 |          €603.35 |          €754.44 |
|   €2000 |   €11067.00 |    €14088.80 |          €553.35 |          €704.44 |
|   €3000 |   €10067.00 |    €13088.80 |          €503.35 |          €654.44 |
|   €4000 |    €9067.00 |    €12088.80 |          €453.35 |          €604.44 |
|   €5000 |    €8067.00 |    €11088.80 |          €403.35 |          €554.44 |
|   €6000 |    €7067.00 |    €10088.80 |          €353.35 |          €504.44 |
|   €7000 |    €6067.00 |     €9088.80 |          €303.35 |          €454.44 |